Bug 60106 - Machine hangs when PCMCIA card ejected during shutdown
Machine hangs when PCMCIA card ejected during shutdown
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-20 01:43 EST by Ed Swierk
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 03:16:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Swierk 2002-02-20 01:43:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
Whenever I physically eject a PCMCIA card during the shutdown process, after the
PCMCIA modules have been unloaded, the machine hangs.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. shutdown -r now
2. Wait for the message "Shutting down PCMCIA services:"
3. Eject a PCMCIA card


Actual Results:  The machine hangs, requiring a power cycle.


Expected Results:  The OS should keep shutting down.

Additional info:

Configuration: RedHat Linux 7.1, kernel-pcmcia-cs-3.1.24-2, kernel-2.4.9-21,
ThinkPad 600 (2645-45U), 128 MB RAM, Orinoco WaveLAN Silver PCMCIA card.

Note You need to log in before you can comment on or make changes to this bug.